<?php
/**
 * Description of GepAmbienteLogic
 *
 * @package Logic
 *
 * @author  maximiliansilva
 */
class GepAmbienteLogic {

	
    /**
     * Gera novo codigo de GEP_AMBIENTE.
     *
     * @param integer $nrorg Numero da organizacao.
     *
     * @return integer
     */
    public static function geraNovoCodigoGepAmbiente($nrorg){
        $codigo = GepAmbienteEntity::retornaProxNumeroAmbiente($nrorg);
        return $codigo;
    }
    
    
	/**
     * Gera novo codigo de GEP_PARAMETROS.
     *
     * @param integer $nrorg Numero da organizacao.
     *
     * @return integer
     */
    public static function geraNovoCodigoGepParametro($nrorg){
        $codigo = GepParametroEntity::retornaProxNumeroParametro($nrorg);
        return $codigo;
    }
    
	
	/**
     * Gera novo codigo de GEP_PARAM_AMBIENTE.
     *
     * @param integer $nrorg Numero da organizacao.
     *
     * @return integer
     */
    public static function geraNovoCodigoGepParamAmbiente($nrorg){
        $codigo = GepParamAmbienteEntity::retornaProxNumeroParamAmbiente($nrorg);
        return $codigo;
    }
    
    
    /**
     * Retorna um parametro de um ambiente.
     * 
     * @param string $nomeParametro
     * @param string $nomeAmbiente 
     * 
     * @return string
     */
    public static function retornaParametroAmbiente($nomeParametro, $nomeAmbiente) {
        $parametro = GepParamAmbienteEntity::retornaParametroAmbiente($nomeParametro, $nomeAmbiente);
        return $parametro;
    }
    
}
?>