/* Sistemas Integrados TEKNISA
  Controle de Produo

Nome: 3932_CDPSTPO.SQL

Descrio:
Calcula periodicidade de produo para ms ou para ano.

P_CDFILIAL     - Cdigo da Filial.
P_CDPERIPRODU  - Cdigo da Periodicidade de Produo.
P_DTINICIAL    - Data inicial a ser gerado o clculo.
P_DTPROCESSA   - Data de Processamento da Filial.
P_NRMESES      - Nmero de Meses.

PARA DEBUGAR
-- SET SERVEROUTPUT ON
-- DBMS_OUTPUT.PUT_LINE('xx');

Criao:
06/09/2004 - Fabrcio Marcelo da Silva
*/

CREATE OR REPLACE PROCEDURE CALCULA_PERIPRODUCAO
   (P_CDFILIAL     IN VARCHAR2,
    P_CDPERIPRODU  IN VARCHAR2,
    P_DTINICIAL    IN DATE,
    P_NRMESES      IN NUMBER,
    P_DTPROCESSA   IN DATE) IS

    V_CONTAMES   NUMBER;
    V_IDTIPODIA  VARCHAR2(1);
    V_IDDIANUTIL VARCHAR2(1);
    V_DTINIAUX   DATE;
BEGIN
   SELECT
      MAX(IDTIPODIAP), MAX(IDDIANUTILP)
   INTO
      V_IDTIPODIA, V_IDDIANUTIL
   FROM
      PERIPRODUCAO
   WHERE
      (CDPERIPRODU = P_CDPERIPRODU);

   V_DTINIAUX := P_DTINICIAL;

   FOR V_CONTAMES IN
      1..P_NRMESES
   LOOP
      DELETE FROM CALEPRODUCAO
      WHERE
         (CDFILIAL                     = P_CDFILIAL)                    AND
         (CDPERIPRODU                  = P_CDPERIPRODU)                 AND
         (TO_CHAR(DTPRODUCAO,'MMYYYY') = TO_CHAR(V_DTINIAUX,'MMYYYY'))  AND
         (DTPRODUCAO                   >= P_DTPROCESSA);

      IF V_IDTIPODIA = 'S' THEN
         PERIPRODUCAO_SEMANAL(P_CDFILIAL,P_CDPERIPRODU,V_DTINIAUX,V_IDDIANUTIL,P_DTPROCESSA);
         COMMIT;
      ELSE
         PERIPRODUCAO_MENSAL(P_CDFILIAL,P_CDPERIPRODU,V_DTINIAUX,V_IDDIANUTIL,P_DTPROCESSA);
         COMMIT;
      END IF;

      V_DTINIAUX := LAST_DAY(V_DTINIAUX) + 1;
   END LOOP;
END;
/